org.wildfly.swarm.config.resource.adapters.resource_adapter

## Class AdminObjects<T extends AdminObjects<T>>

- java.lang.Object
- - org.wildfly.swarm.config.resource.adapters.resource_adapter.AdminObjects<T>

-     public class AdminObjects<T extends AdminObjects<T>>
      extends Object

  Specifies an administration object.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AdminObjects.AdminObjectsResources` Child mutators for AdminObjects

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminObjects(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `className()` Specifies the fully qualified class name of an administration object.
    `T` | `className(String value)` Specifies the fully qualified class name of an administration object.
    `T` | `configProperties(ConfigProperties value)` Add the ConfigProperties object to the list of subresources
    `T` | `configProperties(ConfigPropertiesSupplier supplier)` Install a supplied ConfigProperties object to the list of subresources
    `T` | `configProperties(List<ConfigProperties> value)` Add all ConfigProperties objects to this subresource
    `T` | `configProperties(String childKey)` Create and configure a ConfigProperties object to the list of subresources
    `T` | `configProperties(String childKey, ConfigPropertiesConsumer consumer)` Create and configure a ConfigProperties object to the list of subresources
    `Boolean` | `enabled()` Specifies if the administration object should be enabled.
    `T` | `enabled(Boolean value)` Specifies if the administration object should be enabled.
    `String` | `getKey()`
    `String` | `jndiName()` Specifies the JNDI name for the administration object.
    `T` | `jndiName(String value)` Specifies the JNDI name for the administration object.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `AdminObjects.AdminObjectsResources` | `subresources()`
    `Boolean` | `useJavaContext()` Setting this to false will bind the object into global JNDI.
    `T` | `useJavaContext(Boolean value)` Setting this to false will bind the object into global JNDI.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminObjects

          public AdminObjects(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public AdminObjects.AdminObjectsResources subresources()

    - #### configProperties

          public T configProperties(List<ConfigProperties> value)

      Add all ConfigProperties objects to this subresource
      Parameters:
        `value` - List of ConfigProperties objects.
      Returns:
        this

    - #### configProperties

          public T configProperties(ConfigProperties value)

      Add the ConfigProperties object to the list of subresources
      Parameters:
        `value` - The ConfigProperties to add
      Returns:
        this

    - #### configProperties

          public T configProperties(String childKey,
                                    ConfigPropertiesConsumer consumer)

      Create and configure a ConfigProperties object to the list of subresources
      Parameters:
        `key` - The key for the ConfigProperties resource
        `config` - The ConfigPropertiesConsumer to use
      Returns:
        this

    - #### configProperties

          public T configProperties(String childKey)

      Create and configure a ConfigProperties object to the list of subresources
      Parameters:
        `key` - The key for the ConfigProperties resource
      Returns:
        this

    - #### configProperties

          public T configProperties(ConfigPropertiesSupplier supplier)

      Install a supplied ConfigProperties object to the list of subresources

    - #### className

          public String className()

      Specifies the fully qualified class name of an administration object.

    - #### className

          public T className(String value)

      Specifies the fully qualified class name of an administration object.

    - #### enabled

          public Boolean enabled()

      Specifies if the administration object should be enabled.

    - #### enabled

          public T enabled(Boolean value)

      Specifies if the administration object should be enabled.

    - #### jndiName

          public String jndiName()

      Specifies the JNDI name for the administration object.

    - #### jndiName

          public T jndiName(String value)

      Specifies the JNDI name for the administration object.

    - #### useJavaContext

          public Boolean useJavaContext()

      Setting this to false will bind the object into global JNDI.

    - #### useJavaContext

          public T useJavaContext(Boolean value)

      Setting this to false will bind the object into global JNDI.

Copyright © 2018 JBoss by Red Hat. All rights reserved.